package agent.demoagent;

import android.util.Log;
import andromeda.core.*;
import andromeda.lang.acl.*;


public class tarea1 extends Task {
	@Override
	public void doing() {
		Log.i("AGENT", "TAREA1");
		
        AID agentSender = new AID();
        agentSender.setName("AGENTE_UNO@andromeda");
        agentSender.addAddresses("http://192.168.1.101/");
                
        AID agentReceiver = new AID();
        agentReceiver.setName("AGENTE_DOS@remotehost");
        //agentReceiver.addAddresses("http://192.168.1.105:7778/");
        agentReceiver.addAddresses("http://localhost:5556/");
        
        ACLMessage  msg = new ACLMessage(ACLMessage.INFORM);
	    msg.setContent("Hola soy ping");
	    msg.setSender(agentSender);
	    msg.addReplyTo(agentSender);
	    msg.addReceiver(agentReceiver);
	    send(msg);
        
        try {
			Thread.sleep(5000);
		} catch (InterruptedException e) {
			Log.i("AGENT", "Error al dormir la tarea");
		}
        
        ACLMessage  msg1 = new ACLMessage(ACLMessage.QUERY_IF);
	    msg1.setContent("segundo");
	    msg1.setSender(agentSender);
	    msg1.addReceiver(agentReceiver);
	    send(msg1);
	}

}


